Subject: Re: [PATCH v2] tcp: splice as many packets as possible at once

From: David Miller <[email-masked]>
Date: Tue, 03 Feb 2009 16:46:09 -0800 (PST)

From: Evgeniy Polyakov <[email-masked]>
Date: Tue, 3 Feb 2009 14:10:12 +0300

> NTA tried to solve this by not allowing to free the data allocated on
> the different CPU, contrary to what SLAB does. Modulo cache coherency
> improvements,

This could kill performance on NUMA systems if we are not careful.

If we ever consider NTA seriously, these issues would need to
be performance tested.